<?php
date_default_timezone_set("Asia/Jakarta");

$host     = "localhost";
$username = "lenk_yes";
$password = "yes";
$database = "lenk_yes";

$koneksi = mysqli_connect($host, $username, $password, $database);
mysqli_query($koneksi, "SET time_zone = '+07:00'");
$alamat_admin = "https://lenkatoto.com/uvgaming/";

function ucapan() {
    $jam = date('H');

    if ($jam >= 5 && $jam < 11) {
        return 'Selamat Pagi 👋';
    } elseif ($jam >= 11 && $jam < 15) {
        return 'Selamat Siang ☀️';
    } elseif ($jam >= 15 && $jam < 18) {
        return 'Selamat Sore 🌤️';
    } else {
        return 'Selamat Malam 🌙';
    }
}
function tanggalIndonesia($kalender, $cetak_hari = false) {
    $nama_hari = array (1 => 'Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu');
    $nama_bulan = array (1 => 'Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember');
    $pemisah = explode('-', $kalender);
    $tanggal = $pemisah[2];
    $bulan = $pemisah[1];
    $tahun = $pemisah[0];
    $hasil = $tanggal.' '.$nama_bulan[(int)$bulan].' '.$tahun;
    if ($cetak_hari) {
      $format_hari = date('N', strtotime($kalender));
      return $nama_hari[$format_hari].', '.$hasil;
    }
    return $hasil;
  }
function jamTanggalIndonesia($kalender, $cetak_hari = false) {
    $nama_hari = array (1 => 'Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu');
    $nama_bulan = array (1 => 'Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember');
    $pemisah_jam_tanggal = explode(' ', $kalender);
    $jam = $pemisah_jam_tanggal[1];
    $tanggal = $pemisah_jam_tanggal[0];
    $pemisah_tanggal = explode('-', $tanggal);
    $tanggal = $pemisah_tanggal[2];
    $bulan = $pemisah_tanggal[1];
    $tahun = $pemisah_tanggal[0];
    $hasil = $tanggal.' '.$nama_bulan[(int)$bulan].' '.$tahun.', Jam '.$jam;
    if ($cetak_hari) {
      $format_hari = date('N', strtotime($kalender));
      return $nama_hari[$format_hari].', '.$tanggal.' '.$nama_bulan[(int)$bulan].' '.$tahun.', Jam '.$jam;
    }
    return $hasil;
  }

  function bulanIni($bulan_ini) {
    $bulan_ini = date("n");
    if ($bulan_ini == 1) {
      $indo_bulan_ini = "Januari";
    } else if ($bulan_ini == 2) {
      $indo_bulan_ini = "Februari";
    } else if ($bulan_ini == 3) {
      $indo_bulan_ini = "Maret";
    } else if ($bulan_ini == 4) {
      $indo_bulan_ini = "April";
    } else if ($bulan_ini == 5) {
      $indo_bulan_ini = "Mei";
    } else if ($bulan_ini == 6) {
      $indo_bulan_ini = "Juni";
    } else if ($bulan_ini == 7) {
      $indo_bulan_ini = "Juli";
    } else if ($bulan_ini == 8) {
      $indo_bulan_ini = "Agustus";
    } else if ($bulan_ini == 9) {
      $indo_bulan_ini = "September";
    } else if ($bulan_ini == 10) {
      $indo_bulan_ini = "Oktober";
    } else if ($bulan_ini == 11) {
      $indo_bulan_ini = "November";
    } else if ($bulan_ini == 12) {
      $indo_bulan_ini = "Desember";
    }
    return $indo_bulan_ini;
  }

  // Waktu yang lalu (time ago)
  // Cara pakai : echo waktuYangLalu(strtotime(#tanggal dan waktu));
  function waktuYangLalu($waktu_awal) {
    $waktu_akhir = time();
    $selisih_waktu = $waktu_akhir - $waktu_awal;
    if ($selisih_waktu < 60) {
      $waktu_yang_lalu = $selisih_waktu.' detik yang lalu';
    } else if ($selisih_waktu < 3600) {
      $waktu_yang_lalu = round($selisih_waktu / 60).' menit yang lalu';
    } else if ($selisih_waktu < 86400) {
      $waktu_yang_lalu = round($selisih_waktu / 3600).' jam yang lalu';
    } else if ($selisih_waktu < 604800) {
      $waktu_yang_lalu = round($selisih_waktu / 86400).' hari yang lalu';
    } else if ($selisih_waktu < 2628000) {
      $waktu_yang_lalu = round($selisih_waktu / 604800).' minggu yang lalu';
    } else if ($selisih_waktu < 31536000) {
      $waktu_yang_lalu = round($selisih_waktu / 2628000).' bulan yang lalu';
    } else {
      $waktu_yang_lalu = round($selisih_waktu / 31536000).' tahun yang lalu';
    }
    return $waktu_yang_lalu;
  }

  function hitungUmur($tanggal_lahir) {
    $tanggal_sekarang = time();
    $selisih_tanggal = $tanggal_sekarang - $tanggal_lahir;
    if ($selisih_tanggal < 2628000) {
      $umur = 'Kurang dari 1 Bulan';
    } else if ($selisih_tanggal < 31536000) {
      $umur = round($selisih_tanggal / 2628000);
    } else {
      $jumlah_tahun = $selisih_tanggal / 31536000;
      $pemisah_jumlah_tahun = explode('.', $jumlah_tahun);
      $umur_tahun = $pemisah_jumlah_tahun[0];
      $jumlah_bulan = round($selisih_tanggal / 2628000);
      $umur_bulan = $jumlah_bulan - ($umur_tahun * 12);
      $umur = $umur_tahun.' Tahun '.$umur_bulan.' Bulan';
    }
    return $umur;
  }

  // IP Address Pengunjung
  // Cara Pakai : echo ipPengunjung();
  function ipPengunjung() {
    if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
      $_SERVER['REMOTE_ADDR'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
      $_SERVER['HTTP_CLIENT_IP'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
    }
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = $_SERVER['REMOTE_ADDR'];
    if (filter_var($client, FILTER_VALIDATE_IP)) {
      $ip = $client;
    } else if (filter_var($forward, FILTER_VALIDATE_IP)) {
      $ip = $forward;
    } else {
      $ip = $remote;
    }

    return $ip;
  }

  // Sensor sebagian string
  // Cara pakai : echo sensorString($target_string, $angka_mulai, $angka_jumlah_sensor);
  function sensorString($string, $start, $length) {
    // Mengambil sebagian string
    $maskedString = substr($string, $start, $length);
    // Mengganti karakter yang diambil dengan karakter '*'
    $maskedString = str_repeat('*', strlen($maskedString)) . substr($maskedString, -strlen($string) + $start + $length);
    return $maskedString;
  }

  // Format Angka K
  // Cara Pakai : echo formatAngkaK(#angka);
  function formatAngkaSingkat($angka) {
    if ($angka >= 1000000000) {
      return number_format($angka / 1000000000, 2, ',', '.') . 'm';
    } else if ($angka >= 1000000) {
      return number_format($angka / 1000000, 2, ',', '.') . 'jt';
    } else if ($angka >= 1000) {
      return number_format($angka / 1000, 2, ',', '.') . 'rb';
    } else {
      return $angka;
    }
  }

if (mysqli_connect_errno()) {
    die("Koneksi database gagal: " . mysqli_connect_error());
}?>